\subsection[Debian and Science]
  {Debian and Science\\
  \small{by Michael Banck}}

\subsubsection{Abstract}

As a community project with a diverse developer body, Debian has always been
the distribution which included the most variety of scientific software not
being limited by business constraints or a small developer community. While
Computer Science, Mathematics and Physics (from now on referenced as "the old
three") are traditional fields of endeavours for Debian Developers and users
and therefore have seen attention in terms of packaging available Free Software
applications since the beginning of the project, other fields of science have
been taken care of by only a few individuals until some time ago, e.g. Andreas
Tille for debian-med's medical, biological and biomedical applications and
Michael Banck for chemistry related applications. Along the same line,
researchers and scientists from these fields seemed to be less pronounced among
GNU/Linux users than for example Physicists, as the majority of them seems to
be coming rather from a Windows background as opposed to the Unix background
Physicists or Computer Scientists experienced. As GNU/Linux on the desktop
matures and appears on the radar of regular users, scientists from other fields
start to use it as well. Some of these will hopefully start helping out and
become developers themselves.

Both the installation of the debian-science mailing list in summer 2005 and the
rising popularity of the Debian-derived and desktop-centric Ubuntu distribution
have increased the participation to Debian development of scientific packages
outside of "the old three" fields significantly in recent months. In order to
channel these interests and avoid fragmentation between e.g. the Debian and
Ubuntu communities, group maintenance should be encouraged wherever possible,
as well as taking advance of other facilities developed over the last years:

\begin{itemize}
  \item Group Maintenance through Alioth including the easy sponsoring of non-DDs
  \item The advent and success of easy to use Desktops such as GNOME and KDE
  \item Custom Debian Distribution frameworks make it simple to release specialised versions of Debian for various fields of science
\end{itemize}

The issues for group maintenance of packages from a specific scientific field
are slightly different to conventional types of group maintenance e.g. the
Debian GNOME team faces. Different package will usually be quite different in
their build systems and packaging needs, but work is more easily split up by
different people as packages do not tend to depend on each other that much
usually. As most scientists in fields other than "the old three" are usually
not extensively trained and teached in programming, Free Software in these
areas appears to be more bumpy both in terms of installation, maintainability
and usability. Regarding installation, a lot of programs ship a simple Makefile
at most and do not consider ever to be distributed as part of an operating
system. Some rely on environmental variables for correct execution as well.
Clearly, the need for improvement can be easily seen and should attract
interested volunteers for low hanging fruits.

A big issue Debian has come across over the years is the popular use of "almost
Free" licenses for scientific applications. In the spirit of sharing research
results, a log of scientists have been sharing their source code since the
beginning, however, a lot do so with "Academic use only" clauses. The mandatory
citation in a scientific publication should a program have been used during the
preparation of the research results is also a common clause.

This talk will review the current status of scientific software in Debian, with
special focus on the upcoming Debichem sub-project and its experience in
cooperating with the Ubuntu MOTUScience project.
